/// <reference path="../node_modules/angular2/typings/browser.d.ts" />
import { ElementRef } from 'angular2/core';
import { Http } from 'angular2/http';
export declare class CodeblockComponent {
    private _elementRef;
    private _http;
    _language: string;
    _languageSet: boolean;
    extensions: {
        'js': string;
        'ts': string;
        'html': string;
        'svg': string;
        'xml': string;
        'md': string;
        'py': string;
        'rb': string;
        'ps1': string;
        'psm1': string;
    };
    static THEMES: string[];
    constructor(_elementRef: ElementRef, _http: Http);
    _highlighted: boolean;
    _lineNumbers: boolean;
    lineNumbers: boolean;
    language: string;
    src: string;
    languageSelector: string;
    el: any;
    code: any;
    pre: any;
    _theme: string;
    theme: string;
    ngOnInit(): void;
    highlight(): void;
    _setLanguageClasses(): void;
    _empty(): void;
    _processMarkup(text: any): any;
}
